<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>rechercheCours</title>
    <link href="css/index.css" rel="stylesheet" type="text/css">
    <link href="css/formStyle.css" rel="stylesheet" type="text/css">
</head>

<script>
    function showQuery(string) {

        if (string === "") {
            document.getElementById("textHint").innerHTML = "";
            return;
        } else {
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = function () {
                if (this.readyState === 4 && this.status === 200) {
                    document.getElementById("textHint").innerHTML = this.responseText;
                }
            };
            xmlhttp.open("GET", "repetitoires.php?q=" + string, true);
            xmlhttp.send();
        }
    }

    function showList() {
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = function () {
                if (this.readyState === 4 && this.status === 200) {
                    document.getElementById("list_repetitoire").innerHTML = this.responseText;
                }
            };
            xmlhttp.open("GET", "repetitoires.php?q=" + 0, true);
            xmlhttp.send();
    }
</script>

<!-- Website page -->
<body onload="showList()">
<div class="container">
    <header>
        <!-- Header -->
        <div class="primary_header">
            <h1 class="title1"> RAIP&nbsp;</h1>
            <h2 class="title2">Répétitoire Académique d'Introduction à la Programmation&nbsp;</h2>
        </div>

        <!-- Menu -->
        <nav class="secondary_header" id="menu">
            <ul>
                <li><a href="index.html" style="text-decoration: none">ACCUEIL&nbsp;</a></li>
                <li><a href="repetitoires.html" style="text-decoration: none">REPETITOIRES&nbsp;</a></li>
                <li><a href="creerCompte.html" style="text-decoration: none">CREER COMPTE&nbsp;</a></li>
                <li><a href="connexion.html" style="text-decoration: none">CONNEXION&nbsp;</a></li>
                <li><a href="contact.html" style="text-decoration: none">CONTACT&nbsp;</a></li>
            </ul>
        </nav>

    </header>

    <!-- Content -->
    <section>
        <!-- Left article -->
        <article class="left_article">
            <h3>Langage de programmation Scala</h3>

            <p>Scala est un langage de programmation multi-paradigme conçu à l'École polytechnique fédérale de Lausanne
                (EPFL) pour exprimer les modèles de programmation courants dans une forme concise et élégante. Son nom
                vient de l'anglais Scalable language qui signifie à peu près « langage adaptable » ou « langage qui peut
                être mis à l'échelle ». Il peut en effet être vu comme un métalangage.</p>
            <p>Scala intègre les paradigmes de programmation orientée objet et de programmation fonctionnelle, avec un
                typage statique. Il concilie ainsi ces deux paradigmes habituellement opposés (à de rares exceptions
                près, telle que le langage OCaml) et offre au développeur la possibilité de choisir le paradigme le plus
                approprié à son problème.</p>
        </article>

        <!-- Right image -->
        <aside>
            <div class="columns">
                <p class="thumbnail_align"><img src="images/scala.jpg" alt="" class="thumbnail"/></p>
                <h4><a href="creerRepetitoire.html">
                    <button class="button"> Créer un nouveau répétitoire</button>
                </a></h4>
                <h4><a href="inscriptionRepetitoire.html">
                    <button class="button"> S'inscrire à un répétitoire</button>
                </a></h4>
                <h4><a href="desinscriptionRepetitoire.html">
                    <button class="button">Se désinscrire d'un répétitoire</button>
                </a></h4>
            </div>
        </aside>
    </section>

    <!-- Choice -->
    <div class="row">
        <div class="form-style-10">
                <div class="section"><span>1</span>Liste des répétitoires disponibles</div>
                <div class="inner-wrap">
                    <div id="list_repetitoire"></div>
                </div>
        </div>
        <div class="form-style-10">
            <form>
                <div class="section">
                    <br>
                    <span>1</span>
                    Details des répétitoires
                </div>
                <div class="inner-wrap">
                    <label>
                        <select name="queryList" onchange="showQuery(this.value)">
                            <optgroup label="UNIGE">
                                <option value="">Selectionnez un répétitoire</option>
                                <option value="1">Comprendre l'activité de programmation</option>
                                <option value="2">Les types</option>
                                <option value="3">Les instructions conditionnelles</option>
                                <option value="4">Les instructions itératives</option>
                                <option value="5">Les tableaux et les listes</option>
                                <option value="6">Les méthodes</option>
                                <option value="7">La programmation orientée objet</option>
                                <option value="8">Les fichiers</option>
                                <option value="9">Abstraction procédurale</option>
                                <option value="10">Tri des séquences d'objets</option>
                                <option value="11">Ensembles et Dictionnaires</option>
                                <option value="12">Implémentation des collections</option>
                                <option value="13">Récursivité</option>
                                <option value="14">Arbre</option>
                                <option value="15">Graphe</option>
                                <option value="16">Algorithmes et programmes</option>
                            </optgroup>
                        </select>
                    </label>
                    <div id="textHint"></div>
                </div>
            </form>
            <br>
        </div>
    </div>

    <!-- Copyright footer -->
    <footer class="secondary_header footer">
        <div class="copyright">&copy;2021 - <strong>Prototype projet de Base de Données</strong></div>
    </footer>

</div>

</body>
</html>
